﻿@model ExploreApilkasiCuti.Models.PengajuanCuti

@{
    ViewBag.Title = "Tambah Pengajuan Cuti";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section HeadLibrary{
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <link rel="stylesheet" href="~/AdminLTE/plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- DataTables -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="~/AdminLTE/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
    <!-- Toast-->
    <link rel="stylesheet" href="~/AdminLTE/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css" />
    <link rel="stylesheet" href="~/AdminLTE/plugins/toastr/toastr.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
    <!-- Google Font: Source Sans Pro -->
    @*    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    *@    <!-- Select2 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/select2/css/select2.min.css">
}

<div class="card">
    <div class="card-header">
        <h2>@ViewBag.Title</h2>
    </div>
    <div class="card-body">
        <div>
            <div class="row justify-content-around">
                <button type="button" class="btn btn-default" onclick="show_modal_insertupdate('ADD')">
                    <i class="nav-icon fas fa-chevron-left"></i>  Kembali
                </button>
                <button type="button" class="btn btn-default" onclick="show_modal_insertupdate('ADD')">
                    <i class="nav-icon fas fa-save"></i>  Submit Data
                </button>
                <div class="mt-3 col-md-12"></div>
            </div>
            <div class="row">
                <div class="card card-primary card-tabs">
                    <div class="card-header p-0 pt-1">
                        <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">Home</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="custom-tabs-one-profile-tab" data-toggle="pill" href="#custom-tabs-one-profile" role="tab" aria-controls="custom-tabs-one-profile" aria-selected="false">Profile</a>
                            </li>
                        </ul>
                    </div>
                    <div class="card-body">
                        <div class="tab-content" id="custom-tabs-one-tabContent">
                            <div class="tab-pane fade show active" id="custom-tabs-one-header" role="tabpanel" aria-labelledby="custom-tabs-one-header-tab">
                                <div class="card card-primary">
                                    <form role="form" id="form-header">
                                        <div class="card-body">
                                            <div class="form-group">
                                                <label class="control-label">Nama Karyawan</label>
                                                <input name="NamaKaryawan" placeholder="Nama Karywan" id="NamaKaryawan" class="form-control" type="text">
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Tanggal Pengajuan</label>
                                                <input name="TglPengajuan" placeholder="Tanggal Pengajuan" id="TglPengajuan" class="form-control" type="text">
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="err-jenisCuti control-label">Jenis Cuti</label>
                                                <select name="JenisCuti" id="JenisCuti" class="form-control select2 JenisCuti" style="width: 100%;">
                                                </select>
                                                <span id="spanJenisCuti" class="err-jenisCuti help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Lama Cuti</label>
                                                <input name="LamaCuti" placeholder="Lama Cuti" id="LamaCuti" class="form-control" type="text">
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Keterangan</label>
                                                <textarea name="Keterangan" placeholder="Enter ..." id="Keterangan" class="form-control" type="text" rows="3"></textarea>
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Alamat Saat Cuti</label>
                                                <textarea name="AlmSaatCuti" placeholder="Enter ..." id="AlmSaatCuti" class="form-control" type="text" rows="3"></textarea>
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Telp. Saat Cuti</label>
                                                <input name="TelpSaatCuti" placeholder="No. Telepon" id="TelpSaatCuti" class="form-control" type="text">
                                                <span class="help-block"></span>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Kirim Ke</label>
                                                <input name="KirimKe" placeholder="Nama & Jabatan" id="KirimKe" class="form-control" type="text">
                                                <span class="help-block"></span>
                                            </div>
                                            <label class="col-md-12" style="color:red">*Klik Tab untuk pindah field.</label>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="custom-tabs-one-detail" role="tabpanel" aria-labelledby="custom-tabs-one-detail-tab">
                                <div class="card card-primary">
                                    <div class="card-body">
                                        <div>
                                            <div class="row">
                                                <h4>List</h4>
                                                <button type="button" class="btn btn-default" onclick="show_modal_insertupdate('ADD')">
                                                    <i class="nav-icon fas fa-edit"></i>  Tambah Data
                                                </button>
                                                <div class="mt-3 col-md-12"></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-12">
                                                    <table id="dataPengajuanCutiDetail" class="table table-bordered table-striped" style="color:black">
                                                        <thead>
                                                            <tr>
                                                                <th>
                                                                    No.
                                                                </th>
                                                                <th>
                                                                    Nama Jabatan
                                                                </th>
                                                                <th>
                                                                    Tanggal Mulai Cuti
                                                                </th>
                                                                <th>
                                                                    Tanggal Selesai Cuti
                                                                </th>
                                                                <th>
                                                                    Durasi
                                                                </th>
                                                                <th style="width:65px">
                                                                    Edit
                                                                </th>
                                                            </tr>
                                                        </thead>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section BodyLibrary{
    <!-- DataTables -->
    <script src="@Url.Content("~/AdminLTE/plugins/datatables/jquery.dataTables.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/dataTables.responsive.min.js")"></script>
    <script src="@Url.Content("~/AdminLTE/plugins/datatables-responsive/js/responsive.bootstrap4.min.js")"></script>
    <!-- SweetAlert2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js")"></script>
    <!-- Toastr -->
    <script src="@Url.Content("~/AdminLTE/plugins/toastr/toastr.min.js")"></script>
    <!-- DataRender -->
    <script src="@Url.Content("~/AdminLTE/plugins/dataRender/dateTime.js")"></script>
    <!-- Select2 -->
    <script src="@Url.Content("~/AdminLTE/plugins/select2/js/select2.full.min.js")"></script>

}

@section AdditionalScript{
    <script type="text/javascript">
        function showHeader(action, id) {
            if (action == 'Create New') {
                loadDataJenisCuti();
                getNamaKaryawanById();
                setTanggalPengajuan();
            } else if (action == 'Edit') {

            } else if (action == 'Details') {

            }
        }

        function setTanggalPengajuan() {
            var today = new Date();
            var month = today.getMonth() + 1;
            var day = today.getDate();
            var currentDate = today.getFullYear() + '-' + (('' + month).length < 2 ? '0' : '') + month +
                '-' + (('' + day).length < 2 ? '0' : '') + day;
            $('#TglPengajuan').val(currentDate);
            $('#TglPengajuan').attr('readonly', true);
        }

        function loadDataJenisCuti() {
            $('#JenisCuti').select2({
                multiple: false,
                allowClear: true,
                placeholder: '- Pilih Jenis Cuti -',
                width: '100%',
                theme: 'bootstrap4',
                ajax: {
                    url: '@Url.Action("GetDataTableAll", "MasterJenisPengajuan")',
                    type: 'POST',
                    dataType: 'json',
                    delay: 250,
                    processResults: function (data) {
                        return {
                            results: $.map(data, function (item) {
                                return {
                                    text: item.nama_pengajuan,
                                    id: item.id_jenis_pengajuan
                                }
                            })
                        };
                    }
                }
            });
        }

        function getNamaKaryawanById() {
             $.ajax({
                contentType: 'application/JSON; charset=utf-8',
                url: '@Url.Action("GetDataById", "MasterKaryawan")',
                type: 'POST',
                data: JSON.stringify({ "id": "A03" }),
                @*beforeSend: function () {
                    Swal.fire({
                        title: 'Processing...',
                        html: "Get Data.",
                        allowOutsideClick: false,
                        onBeforeOpen: () => {
                            Swal.showLoading()
                        }
                    });
                },*@
                success: function (data) {
                    Swal.close();
                    if (data.response?.Code == '200') {
                        $("NamaKaryawan").val(data['data'][0].nama);
                        $("NamaKaryawan").attr('readonly', true);
                    } else {
                        toastr.warning("Gagal memuat nama karyawan", "Sorry!", { "timeOut" : 5000});
                    }
                },
                error: function (eventError, textStatus, errorThrown) {
                    toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                }
             });
        }

        function loadDataPengajuanById() {
            $.ajax({
                contentType: 'application/JSON; charset=utf-8',
                url: '@Url.Action("GetDataById", "MasterKaryawan")',
                type: 'POST',
                data: JSON.stringify({ "id": "A03" }),
                beforeSend: function () {
                    Swal.fire({
                        title: 'Processing...',
                        html: "Get Data.",
                        allowOutsideClick: false,
                        onBeforeOpen: () => {
                            Swal.showLoading()
                        }
                    });
                },
                success: function (data) {
                    Swal.close();
                    if (data.response?.Code == '200') {
                        $("NamaKaryawan").val(data['data'][0].nama);
                        $("NamaKaryawan").attr('readonly', true);
                    } else {
                        toastr.warning("Gagal memuat nama karyawan", "Sorry!", { "timeOut" : 5000});
                    }
                },
                error: function (eventError, textStatus, errorThrown) {
                    toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                }
             });
        }
    </script>
}
